package com.cico.nest.lcdp.boot.core.qxsd.domain.vehicle;

import lombok.Getter;

/**
 * 车辆颜色 枚举类
 * @author zws
 * @date 2024/8/5
 */
@Getter
public enum CarPlateColor {
    blue(0, "蓝色"),
    yellow(1, "黄色"),
    black(2, "黑色"),
    white(3, "白色"),
    gradient_green(4,"渐变绿"),
    yellow_green(5,"黄绿双拼"),
    blue_white(6,"蓝白渐变"),
    temp(7,"临时牌照"),
    unknown(9,"未知"),
    green(11, "绿色"),
    red(12, "红色");

    public final int type;

    public final String desc;

    CarPlateColor(Integer type, String desc){
        this.desc = desc;
        this.type = type;
    }

}
